# follow.py
#
# Watch lines written at the end of a log file
# (like Unix tail -f)

import os
import time

def follow(filename):
    file = open(filename)
    file.seek(0, os.SEEK_END)  # Go to end of file
    while True:
        line = file.readline()
        if line:
            yield line
        else:
            time.sleep(0.1)  # Sleep briefly (no data available)
            
