# func.py

def square(x):
    return x*x

def recip(x):
    return 1/x

def sum_terms(start, stop, func):
    total = 0
    for n in range(start, stop):
        total += func(n)
    return total

def compose(f, g):
    def h(x):
        return f(g(x))
    return h

invsquare = compose(recip, square)
    
result = sum_terms(1, 101, invsquare)
print(result)
