# ctacol.py
import csv
import numpy

def read_data(filename):
    # 4 columns of data
    routes = []
    dates = []
    daytypes = []
    rides = []
    with open(filename) as file:
        rows = csv.reader(file)
        headers = next(rows)    # Skip the file headers
        for row in rows:
            routes.append(row[0])
            dates.append(row[1])
            daytypes.append(row[2])
            rides.append(int(row[3]))
            
    # Return the 4 columns.  ???
    return (numpy.array(routes), numpy.array(dates),
            numpy.array(daytypes), numpy.array(rides))

import tracemalloc
tracemalloc.start()
columns = read_data('ctabus.csv')
current, peak =tracemalloc.get_traced_memory()
print("Peak", peak)
